> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post user tablesfilters

> Creates a new table filter for the user



## OpenAPI

````yaml /schema.json post /user-tables/filters
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /user-tables/filters:
    post:
      tags:
        - Users
      description: Creates a new table filter for the user
      operationId: createUserTableFilter
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserTableFilterCreateRequest'
      responses:
        '200':
          description: The stored filter
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserTableFilterCreateResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UserTableFilterCreateRequest:
      type: object
      properties:
        tableKey:
          type: string
          maxLength: 255
        name:
          type: string
          maxLength: 255
        filter:
          type: object
          additionalProperties: true
      required:
        - tableKey
        - name
        - filter
    UserTableFilterCreateResponse:
      type: object
      properties:
        object:
          $ref: '#/components/schemas/UserTableFilter'
      required:
        - tableKey
        - name
        - filter
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    UserTableFilter:
      type: object
      properties:
        identifier:
          type: string
          maxLength: 255
        user:
          type: string
          maxLength: 255
        tableKey:
          type: string
          maxLength: 255
        name:
          type: string
          maxLength: 255
        filter:
          type: object
          additionalProperties: true
      required:
        - identifier
        - user
        - tableKey
        - name
        - filter

````